Bug 135596

Summary: Favicon can't be downloaded through a proxy with authentication
Product: konqueror Reporter: Jean Labrousse <jean.labrousse>
Component: generalAssignee: Konqueror Developers <konq-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: adawit
Priority: NOR    
Version: Git   
Target Milestone: ---   
Platform: RedHat RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 4.9.2

Description Jean Labrousse 2006-10-13 16:54:39 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    RedHat RPMs

Favicon can't be downloaded through a proxy with authentication by "Kded Favicon Module" because
It ask a "no-auth" access. 

This is specified in kdebase/libkonq/favicons/favicons.cpp:
   d->metaData.insert("no-auth", "true");

It should be removed or configurable.

An other solution is to use no-auth metaData
for "401 Authorization Required" only
and not for "407 Proxy Authentication Required"
In that case this Bugs report should be forwarded to http kio_slave.
Comment 1 Janek Bevendorff 2012-06-18 17:59:49 UTC
Message from the Bugsquad and Konqueror teams: This bug is closed as outdated, as we do not have the manpower to maintain the KDE3 version anymore. If you still can reproduce this issue with Konqueror 4.8.4 or later, please open a new report. Thank you for your understanding.
Comment 2 Dawit Alemayehu 2012-06-18 19:34:59 UTC
This is still a valid bug in KDE 4 and needs to be fixed.
Comment 3 Dawit Alemayehu 2012-09-10 22:00:01 UTC
Git commit 1bbe35731018b85973c6bc4e4b29c7b319ee6dad by Dawit Alemayehu.
Committed on 19/06/2012 at 09:24.
Pushed by adawit into branch 'KDE/4.9'.

Added "no-www-auth" and "no-proxy-auth" KIO meta data flags. These
flags are needed to address a bug.

M  +3    -1    kio/DESIGN.metadata
M  +5    -2    kioslave/http/http.cpp
M  +4    -2    kioslave/http/http.h

http://commits.kde.org/kdelibs/1bbe35731018b85973c6bc4e4b29c7b319ee6dad
Comment 4 Dawit Alemayehu 2012-09-10 22:02:43 UTC
Git commit 73bb93cdd424e12f431cec356a1a5a26710a2451 by Dawit Alemayehu.
Committed on 11/09/2012 at 00:00.
Pushed by adawit into branch 'KDE/4.9'.

Allow proxy authentication when attempting to retrieve favorite icons.
FIXED-IN: 4.9.2

M  +1    -1    lib/konq/favicons/favicons.cpp

http://commits.kde.org/kde-baseapps/73bb93cdd424e12f431cec356a1a5a26710a2451
Comment 5 Dawit Alemayehu 2012-09-10 22:03:17 UTC
Git commit 3ff9547ed05e61ccf39d9a626211798d3fe2ae22 by Dawit Alemayehu.
Committed on 11/09/2012 at 00:00.
Pushed by adawit into branch 'master'.

Allow proxy authentication when attempting to retrieve favorite icons.
FIXED-IN: 4.9.2
(cherry picked from commit 73bb93cdd424e12f431cec356a1a5a26710a2451)

M  +1    -1    lib/konq/favicons/favicons.cpp

http://commits.kde.org/kde-baseapps/3ff9547ed05e61ccf39d9a626211798d3fe2ae22